package com.prolog.upcloud.base.wh.operate.vo;

import com.prolog.framework.bz.core.model.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 货主转换单查询列表
 *
 * @author wujunjie
 */
@ApiModel
public class WmsCargoChangeListVO extends BaseModel implements Serializable {
    private static final long serialVersionUID = 860746881110136559L;
    /**
     * 主表ID
     */
    @ApiModelProperty("主表ID")
    private String headerId;

    /**
     * 源单ID
     */
    @ApiModelProperty("源单ID")
    private String refBillNo;

    /**
     * 仓库ID
     */
    @ApiModelProperty("仓库ID")
    private String warehouseId;

    /**
     * 仓库名称
     */
    @ApiModelProperty("仓库名称")
    private String warehouseName;

    /**
     * 仓库编号
     */
    @ApiModelProperty("仓库编号")
    private String warehouseCode;

    /**
     * 采购单ID
     */
    @ApiModelProperty("采购单ID")
    private String poBillId;

    /**
     * 采购单编号
     */
    @ApiModelProperty("采购单编号")
    private String poBillNo;

    /**
     * 销售单ID
     */
    @ApiModelProperty("销售单ID")
    private String orderBillId;

    /**
     * 销售单编号
     */
    @ApiModelProperty("销售单编号")
    private String orderBillNo;

    /**
     * 源货主ID
     */
    @ApiModelProperty("源货主ID")
    private String srcCargoOwnerId;

    /**
     * 源货主名称
     */
    @ApiModelProperty("源货主名称")
    private String srcCargoOwnerName;

    /**
     * 目标货主ID
     */
    @ApiModelProperty("目标货主ID")
    private String destCargoOwnerId;

    /**
     * 目标货主名称
     */
    @ApiModelProperty("目标货主名称")
    private String destCargoOwnerName;

    /**
     * 状态(0未完成/2已完成/3错误/4取消)
     */
    @ApiModelProperty("状态(0未完成/2已完成/3错误/4取消)")
    private String status;

    @ApiModelProperty("状态名称")
    private String statusName;

    /**
     * 错误信息
     */
    @ApiModelProperty("错误信息")
    private String errMsg;

    /**
     * 取消原因
     */
    @ApiModelProperty("取消原因")
    private String cancelReason;

    /**
     * 数据来源(WMS/ERP)
     */
    @ApiModelProperty("数据来源")
    private String sourceType;

    /**
     * 单据日期
     */
    @ApiModelProperty("单据日期")
    private Date billDate;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    /**
     * 验收结论
     */
    @ApiModelProperty("验收结论:0合格/1不合格/3拒绝")
    private String rqcResult;

    public String getRqcResult() {
        return rqcResult;
    }

    public void setRqcResult(String rqcResult) {
        this.rqcResult = rqcResult;
    }

    public String getHeaderId() {
        return headerId;
    }

    public void setHeaderId(String headerId) {
        this.headerId = headerId;
    }

    public String getRefBillNo() {
        return refBillNo;
    }

    public void setRefBillNo(String refBillNo) {
        this.refBillNo = refBillNo;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getPoBillId() {
        return poBillId;
    }

    public void setPoBillId(String poBillId) {
        this.poBillId = poBillId;
    }

    public String getPoBillNo() {
        return poBillNo;
    }

    public void setPoBillNo(String poBillNo) {
        this.poBillNo = poBillNo;
    }

    public String getOrderBillId() {
        return orderBillId;
    }

    public void setOrderBillId(String orderBillId) {
        this.orderBillId = orderBillId;
    }

    public String getOrderBillNo() {
        return orderBillNo;
    }

    public void setOrderBillNo(String orderBillNo) {
        this.orderBillNo = orderBillNo;
    }

    public String getSrcCargoOwnerId() {
        return srcCargoOwnerId;
    }

    public void setSrcCargoOwnerId(String srcCargoOwnerId) {
        this.srcCargoOwnerId = srcCargoOwnerId;
    }

    public String getSrcCargoOwnerName() {
        return srcCargoOwnerName;
    }

    public void setSrcCargoOwnerName(String srcCargoOwnerName) {
        this.srcCargoOwnerName = srcCargoOwnerName;
    }

    public String getDestCargoOwnerId() {
        return destCargoOwnerId;
    }

    public void setDestCargoOwnerId(String destCargoOwnerId) {
        this.destCargoOwnerId = destCargoOwnerId;
    }

    public String getDestCargoOwnerName() {
        return destCargoOwnerName;
    }

    public void setDestCargoOwnerName(String destCargoOwnerName) {
        this.destCargoOwnerName = destCargoOwnerName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public String getCancelReason() {
        return cancelReason;
    }

    public void setCancelReason(String cancelReason) {
        this.cancelReason = cancelReason;
    }

    public String getSourceType() {
        return sourceType;
    }

    public void setSourceType(String sourceType) {
        this.sourceType = sourceType;
    }

    public Date getBillDate() {
        return billDate;
    }

    public void setBillDate(Date billDate) {
        this.billDate = billDate;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }
}
